org.springframework.cloud.dataflow.server.service.impl

## Class TaskConfigurationProperties

- java.lang.Object
- - org.springframework.cloud.dataflow.server.service.impl.TaskConfigurationProperties

-     @Validated
       @ConfigurationProperties(prefix="spring.cloud.dataflow.task")
      public class TaskConfigurationProperties
      extends Object

  Properties used to define the behavior of tasks created by Spring Cloud Data Flow.
  Author:
    Glenn Renfro, David Turanski, Chris Schaefer

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `TaskConfigurationProperties.DeployerProperties`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `COMPOSED_TASK_RUNNER_NAME` Deprecated.
    `static String` | `TASK_PREFIX`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TaskConfigurationProperties()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getComposedTaskRunnerUri()` Deprecated.
    `TaskConfigurationProperties.DeployerProperties` | `getDeployerProperties()`
    `boolean` | `isAutoCreateTaskDefinitions()`
    `boolean` | `isUseKubernetesSecretsForDbCredentials()`
    `boolean` | `isUseUserAccessToken()` Deprecated.
    `void` | `setAutoCreateTaskDefinitions(boolean autoCreateTaskDefinitions)`
    `void` | `setComposedTaskRunnerUri(String composedTaskRunnerUri)` Deprecated.
    `void` | `setDeployerProperties(TaskConfigurationProperties.DeployerProperties deployerProperties)`
    `void` | `setUseKubernetesSecretsForDbCredentials(boolean useKubernetesSecretsForDbCredentials)`
    `void` | `setUseUserAccessToken(boolean useUserAccessToken)` Deprecated.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### TASK_PREFIX

          public static final String TASK_PREFIX

      See Also:
        Constant Field Values

    - #### COMPOSED_TASK_RUNNER_NAME

          @Deprecated
          public static final String COMPOSED_TASK_RUNNER_NAME

      Deprecated.
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### TaskConfigurationProperties

          public TaskConfigurationProperties()

  - ### Method Detail

    - #### getComposedTaskRunnerUri

          @Deprecated
          public String getComposedTaskRunnerUri()

      Deprecated.

    - #### setComposedTaskRunnerUri

          @Deprecated
          public void setComposedTaskRunnerUri(String composedTaskRunnerUri)

      Deprecated.

    - #### getDeployerProperties

          public TaskConfigurationProperties.DeployerProperties getDeployerProperties()

    - #### setDeployerProperties

          public void setDeployerProperties(TaskConfigurationProperties.DeployerProperties deployerProperties)

    - #### isAutoCreateTaskDefinitions

          public boolean isAutoCreateTaskDefinitions()

    - #### setAutoCreateTaskDefinitions

          public void setAutoCreateTaskDefinitions(boolean autoCreateTaskDefinitions)

    - #### isUseUserAccessToken

          @Deprecated
          public boolean isUseUserAccessToken()

      Deprecated.

    - #### setUseUserAccessToken

          @Deprecated
          public void setUseUserAccessToken(boolean useUserAccessToken)

      Deprecated.

    - #### isUseKubernetesSecretsForDbCredentials

          public boolean isUseKubernetesSecretsForDbCredentials()

    - #### setUseKubernetesSecretsForDbCredentials

          public void setUseKubernetesSecretsForDbCredentials(boolean useKubernetesSecretsForDbCredentials)

Copyright © 2021 Pivotal Software, Inc.. All rights reserved.